Subject: bug#6339: url-filename => "/c:/some/file.txt"

From: Juanma Barranquero <[email-masked]>
Date: Sat, 24 Sep 2011 11:06:58 +0200

On Sat, Sep 24, 2011 at 10:59, Juanma Barranquero <[email-masked]> wrote:

> You can argue
> that, in POSIX, "some/file.txt" is an absolute path, because all PATH
> parts of file: URIs must be understood as such (and so, have an
> implicit / at the front),

I mean that "some/file.txt" is an absolute path, in the context of
decoding and splitting an URI, of course. Obviously it is not in
general terms.

That said, I suppose that people who thinks that the third slash is
not a separator, but part of the PATH, should also be arguing in favor
of Windows-style file: URIs being of the form
"file://C:/some/file.txt" (which is clearly incorrect, according to
the spec, and certainly unused in the wild). What does not make sense
is arguing that the value returned by url-generic-parse-url is
correct.

    Juanma